<!doctype html>
<html lang="en">
<head>
<title>27-python-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">To get started click the 👥 button in the top/bottom right and log in.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Welcome to the Debian Python BoF</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Last year's BoF: gobby://gobby.debian.org/debconf22/bof/python</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Agenda:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><ol start="1" class="number"><li><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">*</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Python 3.12 transition</span></li><li><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">*</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Expected python releases in trixie</span></li><li><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">*</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">PEP-668: How are we feeling about this?</span></li><li><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">*</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">pybuild: Next steps? pyproject-as-default?</span></li><li><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">*</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">upstream patches: Always more work to do here</span></ol><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Discussion notes:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Python 3.12:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Python 3.11 transition was raced. We added it as a supported version 1 month after release and had 2 months to update all the packages. We have more time for 3.12. Ubuntu will have time-crunch (deadline mid-Feb).</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">3.12 expected early October. Try to get it added as supported in late October.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Rebuild started with python3.12 added to supported: https://launchpad.net/~pythoneers/+archive/ubuntu/python3.12rc</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">50% of packages built without modifications.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Lots of distutils import failures. Build-Depends on python3-setuptools should fix this for most people.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Proposal to have dh-python depend on python3-setuptools as an interim solution. Remove this when 3.12 is default. This does increase the size of the 3.12-default transition.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">We can't say much about later levels of the 3.12-add transition, until the work is done to support 3.12 in the lower levels.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Expected python releases in trixie:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">We expect 3.13 in Trixie, let's ask the release team for a little more time.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">PEP-668</span><span class="a_hJFp4W2PyRtb35Qi" title="a_hJFp4W2PyRtb35Qi" style="background-color:#1b57f3"> (aka </span><span class="a_hJFp4W2PyRtb35Qi" title="a_hJFp4W2PyRtb35Qi" style="background-color:#1b57f3">externally managed</span><span class="a_hJFp4W2PyRtb35Qi" title="a_hJFp4W2PyRtb35Qi" style="background-color:#1b57f3"> environments)</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">A decent amount of noise from users, who expect different behaviour. I think on balance we can continue to live with this.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">System python:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">We could propose a python startup flag (upstream) that makes it only use EXTERNALLY-MANAGED paths in sys.path, removing all the user-installed modules.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">pybuild:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Test with pyp</span><span class="a_hJFp4W2PyRtb35Qi" title="a_hJFp4W2PyRtb35Qi" style="background-color:#1b57f3">r</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">oject as default?</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Most packages will need changes, want to do a test rebuild to see how bad this is.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Proposal: Lintian warning for packages that should build with pyproject.</span><br><span class="a_hJFp4W2PyRtb35Qi" title="a_hJFp4W2PyRtb35Qi" style="background-color:#1b57f3"></span><br><span class="a_hJFp4W2PyRtb35Qi" title="a_hJFp4W2PyRtb35Qi" style="background-color:#1b57f3">Standard interface to building docs with sphinx?</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">There are many ways that sphinx docs are generated. Sometimes multiple languages, and other unusual build steps. Probably could be automated, but maybe in sphinx itself?</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">nogil:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Hope we don't need to provide 2 different interpreters.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">pypy:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">It's probably OK to build PyPy C extensions in the regular binary packages.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Python Team's Maintainer Rule:</span><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2"></span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">There are packages that are somewhat complicated and maintainers want to do final review of uploads of them.</span><br><span class="a_efSGOgh8HoL269ns" title="a_efSGOgh8HoL269ns" style="background-color:#47f7f2">Suggestion to soften the rule to suggest contact first and then upload.</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
